GOLF(2gg)

NAME
decode-base64 - (base64)

PURPOSE
Base64 decode.

SYNTAX

        decode-base64 <data> to <output data> \
            [ input-length <input length> ]

DESCRIPTION
decode-base64 will decode string <data> into <output data>, which can be binary string.

If "input-length" clause is used, then <input length> is the number of bytes decoded, otherwise the entirety of <data> is decoded.

The result is stored in <output data> (in "to" clause).

Note that the string to decode can have whitespaces before it (such as spaces or tabs), and whitespaces and new lines after it, which will all be ignored for the purpose of decoding.

EXAMPLES
See encode-base64.

SEE ALSO
 Base64

decode-base64 encode-base64 See all documentation